@mixin media-breakpoint-up($point) {
  @if $point == sm {
    @media (min-width: 576px) { @content; }
  }
  @else if $point == md {
    @media (min-width: 768px) { @content; }
  }
  @else if $point == lg {
    @media (min-width: 992px) { @content; }
  }
  @else if $point == xl {
    @media (min-width: 1200px) { @content; }
  }
}

@mixin media-breakpoint-down($point) {
  @if $point == xs {
    @media (max-width: 575.98px) { @content; }
  }
  @if $point == sm {
    @media (max-width: 767.98px) { @content; }
  }
  @else if $point == md {
    @media (max-width: 991.98px) { @content; }
  }
  @else if $point == lg {
    @media (max-width: 1199.98px) { @content; }
  }
}

@mixin media-breakpoint-only($point) {
  @if $point == xs {
    @media (max-width: 575.98px) { @content; }
  }
  @if $point == sm {
    @media (min-width: 576px) and (max-width: 767.98px) { @content; }
  }
  @else if $point == md {
    @media (min-width: 768px) and (max-width: 991.98px) { @content; }
  }
  @else if $point == lg {
    @media (min-width: 992px) and (max-width: 1199.98px) { @content; }
  }
  @else if $point == xl {
    @media (min-width: 1200px) { @content; }
  }
}

/*
@include media-breakpoint-down(xs) { ... }
@include media-breakpoint-down(sm) { ... }
@include media-breakpoint-down(md) { ... }
@include media-breakpoint-down(lg) { ... }

@include media-breakpoint-only(xs) { ... }
@include media-breakpoint-only(sm) { ... }
@include media-breakpoint-only(md) { ... }
@include media-breakpoint-only(lg) { ... }
@include media-breakpoint-only(xl) { ... }
*/